<id>
Admin Center Update
</id>

<version>
0.1a Y2.2
</version>

<mod info>
This is the first alpha release of this modification for YaBB 2.2

This mod adds quite a few new features to the Admin Center.

1)  You can choose which profile options will show up on the member registration page.
2)  You can choose the default values for various profile options of new members.
3)  You can adjust the width/height of specific elements of your YaBB forums, such as the maximum height of the signature area (this only works in Firefox - this is something I have reported to the Y2 devs), the height and width of the textarea when replying/starting a topic.

To install this mod:

If you are installing this mod for the first time:
Either use BoardMod to automatically install this mod on your forums or install this mod manually by following the directions below.
Once you have applied this mod to your source files, please upload the following files:
Modified by mod:
1)  cgi-bin/yabb2/Sources/Register.pl
2)  cgi-bin/yabb2/Admin/AdminSubList.pl
3)  cgi-bin/yabb2/Admin/ModList.pl
4)  cgi-bin/yabb2/AdminIndex.pl
5)  cgi-bin/yabb2/Sources/Load.pl
6)  cgi-bin/yabb2/Sources/Post.pl
7)  cgi-bin/yabb2/Sources/Recent.pl
8)  cgi-bin/yabb2/Sources/BoardIndex.pl
Included in zip package:
9)  cgi-bin/yabb2/Admin/Admin_Center_Update.pl
10) cgi-bin/yabb2/Variables/acup_dim.txt
11) cgi-bin/yabb2/Languages/*.*

If you are upgrading from 0.1 beta or 0.2 beta:
Un-install your previous version of this mod manually or with BoardMod.
Upload cgi-bin/yabb2/ACUpdateConverter.pl and chmod it to 755 or 777.
Navigate your browser to cgi-bin/yabb2/ACUpdateConverter.pl.
If you get a success message, then install the new version of this mod manually or with BoardMod.
If you get an error message, please follow the instructions on that page, then install the new version of this mod manually or with BoardMod.
Upload the following files:
Modified again by the new version of this mod:
1)  cgi-bin/yabb2/Sources/Register.pl
2)  cgi-bin/yabb2/Admin/AdminSubList.pl
3)  cgi-bin/yabb2/Admin/ModList.pl
4)  cgi-bin/yabb2/AdminIndex.pl
5)  cgi-bin/yabb2/Sources/Load.pl
6)  cgi-bin/yabb2/Sources/Post.pl
7)  cgi-bin/yabb2/Sources/Recent.pl
8)  cgi-bin/yabb2/Sources/BoardIndex.pl
Included in zip package:
9)  cgi-bin/yabb2/Admin/Admin_Center_Update.pl
10) cgi-bin/yabb2/Languages/*.*

To use this mod:
To choose which profile options appear on the registration page, and to choose which of those are required, click on "AC Update Reg Settings" in your Admin Center.
To set default values for various profile fields, click on AC Update Profile Settings.
To set various values for the appearance of your boards, click on AC Update Dimensions.

Changelog:
From 1.2 Final
Added the option for admininstrators to choose a default template for newly registering members, which could possibly be a different default template than their guests would see.
Fixed a bug that caused the new user's template choice not to save in their vars file properly if you had chosen to "require" them to choose a template on registration.  As a result, I decided not to allow you to "require" that choice, as, if you show it on the registration page, then a choice will automatically have to be made, as it is chosen from a select box, and there is no blank option within the select box.  If they choose not to change the selected option, then they will be assigned the default forum template automatically.
From 1.1 Final
Fixed a simple coding mistake that caused you to receive an error when trying to register.
From 1.0 Final
Added a simple statement to keep users from ending up with blank Display Names.
From 0.4 beta
Removed one line in the "Search and Add After" step in the BoardIndex.pl file, in order to make it more compatible with other mods.
From 0.3 beta
Fixed a bug that prevented the "Hide Email by default", "Enable PM Popup" and "PM Popup Shows In New Window" functions from working properly.
From 0.2 beta
Converted the txt readme into an HTML document, in order to allow better formatting.
Added some missing language strings to the Dutch language file.
Changed a language string in the German language file.
Changed all of the variables so that they make a lot more sense.  They no longer have generic variable names like "reg_RealName".  They now describe what they do.
From 0.1 beta
Fixed a bug that would not allow you to "Don't Show" the ICQ item on the registration page.
Optimized some of the code in the mod.
From 0.1 alpha
Added the functionality to require certain profile elements on the registration page.
Added the functionality to choose the default values for various profile fields.
Added the functionality to adjust the width/height of specific elements of YaBB forums.
</mod info>

<author>
Curtiss Grymala
</author>

<homepage>
http://www.ten-321.com/
</homepage>

<edit file>
Sources/Register.pl
</edit file>

<search for>
&LoadLanguage('Register');
</search for>

<add after>
&LoadLanguage("AdminCenter_Update");
&LoadLanguage('Profile');
if (-e "$vardir/acup_reg.txt") { require "$vardir/acup_reg.txt"; }
if (-e "$vardir/acup_prof.txt") { require "$vardir/acup_prof.txt"; }
</add after>

<search for>
	if ($FORM{'reglanguage'}) {
		$language = $FORM{'reglanguage'};
		&LoadLanguage('Main');
		&LoadLanguage('Register');
</search for>

<add after>
		&LoadLanguage('AdminCenter_Update');
		&LoadLanguage('Profile');
</add after>

<search for>
	if ($FORM{'tusername'})  { $tmpregname     = $FORM{'tusername'}; }
	if ($FORM{'trealname'})  { $tmprealname     = $FORM{'trealname'}; }
	if ($FORM{'temail'})     { $tmpregemail    = $FORM{'temail'}; }
	if ($FORM{'thideemail'}) { $hidechecked    = qq~checked="checked"~; }
	if ($FORM{'tpasswrd1'})  { $tmpregpasswrd1 = $FORM{'tpasswrd1'}; }
	if ($FORM{'tpasswrd2'})  { $tmpregpasswrd2 = $FORM{'tpasswrd2'}; }
</search for>

<add after>
	if ($FORM{'tgender'})	{
		if($FORM{'tgender'} eq "Male")		{ $GenderMale		= qq~ selected="selected"~; }
		elsif($FORM{'tgender'} eq "Female")	{ $GenderFemale	= qq~ selected="selected"~; }
	}
	if ($FORM{'tbday1'})		{ $tmpregbday1		= $FORM{'tbday1'}; }
	if	($FORM{'tbday2'})		{ $tmpregbday2		= $FORM{'tbday2'}; }
	if ($FORM{'tbday3'})		{ $tmpregbday3		= $FORM{'tbday3'}; }
	if ($FORM{'tlocation'})	{ $tmpreglocation	= $FORM{'tlocation'}; }
	if ($FORM{'ticq'})		{ $tmpregicq		= $FORM{'ticq'}; }
	if ($FORM{'taim'})		{ $tmpregaim		= $FORM{'taim'}; }
	if ($FORM{'tyim'})		{ $tmpregyim		= $FORM{'tyim'}; }
	if ($FORM{'tmsn'})		{ $tmpregmsn		= $FORM{'tmsn'}; }
	if ($FORM{'tgtalk'})		{ $tmpreggtalk		= $FORM{'tgtalk'}; }
	if ($FORM{'twebtitle'})	{ $tmpregwebtitle	= $FORM{'twebtitle'}; }
	if ($FORM{'tweburl'})	{ $tmpregweburl	= $FORM{'tweburl'}; }
	if ($FORM{'tusertext'})	{ $tmpregusertext	= $FORM{'tusertext'}; }
	if ($FORM{'tsignature'}) { $tmpregsignature = $FORM{'tsignature'}; }
	if ($FORM{'ttimeselect'}) {
		if ($FORM{'ttimeselect'} eq 480) { $tsl[1] = qq~ selected="selected"~; }
		elsif ($FORM{'ttimeselect'} eq 481) { $tsl[2] = qq~ selected="selected"~; }
		elsif ($FORM{'ttimeselect'} eq 482) { $tsl[3] = qq~ selected="selected"~; }
		elsif ($FORM{'ttimeselect'} eq 483) { $tsl[4] = qq~ selected="selected"~; }
		elsif ($FORM{'ttimeselect'} eq 484) { $tsl[5] = qq~ selected="selected"~; }
		elsif ($FORM{'ttimeselect'} eq 485) { $tsl[6] = qq~ selected="selected"~; }
		elsif ($FORM{'ttimeselect'} eq 7) { $tsl[7] = qq~ selected="selected"~; }
	}
	else { $tsl[$timeselected] = qq~ selected="selected"~; }
	if ($FORM{'ttimeformat'}) { $tmpregtimeformat = $FORM{'ttimeformat'}; }
	if ($FORM{'ttimeoffset'}) {
			$pddd = (($FORM{'ttimeoffset'} * 10) + 120);
			$pdel{$pddd} = qq~ selected="selected"~;
	}
	if ($FORM{'tdst'})		{ $dsttimechecked	= qq~ checked="checked"~; }
</add after>

<search for>
		<input type="hidden" name="tusername" id="tusername" value="" />
		<input type="hidden" name="trealname" id="trealname" value="" />
		<input type="hidden" name="temail" id="temail" value="" />
		<input type="hidden" name="tpasswrd1" id="tpasswrd1" value="" />
		<input type="hidden" name="tpasswrd2" id="tpasswrd2" value="" />
		<input type="hidden" name="thideemail" id="thideemail" value="" />
</search for>

<add after>
		<input type="hidden" name="tgender" id="tgender" value="" />
		<input type="hidden" name="tbday1" id="tbday1" value="" />
		<input type="hidden" name="tbday2" id="tbday2" value="" />
		<input type="hidden" name="tbday3" id="tbday3" value="" />
		<input type="hidden" name="tlocation" id="tlocation" value="" />
		<input type="hidden" name="ticq" id="ticq" value="" />
		<input type="hidden" name="taim" id="taim" value="" />
		<input type="hidden" name="tyim" id="tyim" value="" />
		<input type="hidden" name="tmsn" id="tmsn" value="" />
		<input type="hidden" name="tgtalk" id="tgtalk" value="" />
		<input type="hidden" name="twebtitle" id="twebtitle" value="" />
		<input type="hidden" name="tweburl" id="tweburl" value="" />
		<input type="hidden" name="tusertext" id="tusertext" value="" />
		<input type="hidden" name="tsignature" id="tsignature" value="" />
		<input type="hidden" name="ttimeselect" id="ttimeselect" value="" />
		<input type="hidden" name="ttimeformat" id="ttimeformat" value="" />
		<input type="hidden" name="ttimeoffset" id="ttimeoffset" value="" />
		<input type="hidden" name="tdst" id="tdst" value="" />
		<input type="hidden" name="ttemplate" id="ttemplate" value="" />
</add after>

<search for>
		var mailpass = $emailpassword;
		var hidemail = $allow_hide_email

		document.sellanguage.tusername.value = document.creator.regusername.value;
		document.sellanguage.tusername.value = document.creator.regrealname.value;
		document.sellanguage.temail.value = document.creator.email.value;
		if(hidemail == 1) {
			if(document.creator.hideemail.checked) document.sellanguage.thideemail.value = 1;
		}
		if(mailpass != 1) {
			document.sellanguage.tpasswrd1.value = document.creator.passwrd1.value;
			document.sellanguage.tpasswrd2.value = document.creator.passwrd1.value;
		}
</search for>

<add after>
~;
	if($reg_Gender > 0) {
		$yymain .= qq~
		document.sellanguage.tgender.value = document.creator.gender.value;~;
	}
	if($reg_BirthDate > 0) {
		$yymain .= qq~
		document.sellanguage.tbday1.value = document.creator.bday1.value;		
		document.sellanguage.tbday2.value = document.creator.bday2.value;
		document.sellanguage.tbday3.value = document.creator.bday3.value;~;
	}
	if($reg_Location > 0) {
		$yymain .= qq~
		document.sellanguage.tlocation.value = document.creator.location.value;~;
	}
	if($reg_ICQ > 0) {
		$yymain .= qq~
		document.sellanguage.ticq.value = document.creator.icq.value;~;
	}
	if($reg_AIM > 0) {
		$yymain .= qq~
		document.sellanguage.taim.value = document.creator.aim.value;~;
	}
	if($reg_YIM > 0) {
		$yymain .= qq~
		document.sellanguage.tyim.value = document.creator.yim.value;~;
	}
	if($reg_MSN > 0) {
		$yymain .= qq~
		document.sellanguage.tmsn.value = document.creator.msn.value;~;
	}
	if($reg_GTalk > 0) {
		$yymain .= qq~
		document.sellanguage.tgtalk.value = document.creator.gtalk.value;~;
	}
	if($reg_WebInfo > 0) {
		$yymain .= qq~
		document.sellanguage.twebtitle.value = document.creator.webtitle.value;
		document.sellanguage.tweburl.value = document.creator.weburl.value;~;
	}
	if($reg_UserText > 0) {
		$yymain .= qq~
		document.sellanguage.tusertext.value = document.creator.usertext.value;~;
	}
	if($reg_Sig > 0) {
		$yymain .= qq~
		document.sellanguage.tsignature.value = document.creator.signature.value;~;
	}
	if($reg_TimeSet > 0) {
		$yymain .= qq~
		document.sellanguage.ttimeselect.value = document.creator.usertimeselect.value;
		document.sellanguage.ttimeformat.value = document.creator.timeformat.value;
		document.sellanguage.ttimeoffset.value = document.creator.usertimeoffset.value;
		if(document.creator.dsttimeoffset.checked) document.sellanguage.tdst.value = 1;~;
	}
	if($reg_Template > 0) {
		$yymain .= qq~
		document.sellanguage.ttemplate.value = document.creator.usertemplate.value;~;
	}
$yymain .= qq~
</add after>

<search for>
	if ($FORM{'thideemail'}) { $hidechecked    = qq~checked="checked"~; }
</search for>

<replace>
if(($default_HideMail == 1 && $default_HideMail_val == 1) || $FORM{'thideemail'} == 1) {
	$hidechecked = qq~ checked="checked"~;
}
</replace>

<search for>
    <td><input type="password" maxlength="30" name="passwrd2" value="$tmpregpasswrd2" size="30" /></td>
  </tr>
~;
	}
</search for>

<add after>
if($reg_RealName > 0) {
	if($reg_RealName == 2) {
		$acup_reg_txt{'1'} = qq~\* $acup_reg_txt{'1'}~;
	}
	$yymain .= qq~<tr class="windowbg">
	<td class="windowbg" width="100%"><b>$acup_reg_txt{'1'}</b></td>
	<td><input type="text" name="realname" size="30" value="$tmpregrealname"$regstyle /></td>
</tr>
~;
}
if($reg_Gender > 0) {
	if($reg_Gender == 2) {
		$acup_reg_txt{'2'} = qq~\* $acup_reg_txt{'2'}~;
	}
	$yymain .= qq~<tr class="windowbg">
	<td class="windowbg" width="100%"><b>$acup_reg_txt{'2'}</b></td>
	<td align="left"><select name="gender" size="1"><option value=""></option><option value="Male"$GenderMale>$profile_txt{'238'}</option><option value="Female"$GenderFemale>$profile_txt{'239'}</option></select></td>
</tr>
~;
}
if($reg_BirthDate > 0) {
	if($reg_BirthDate == 2) {
		$acup_reg_txt{'3'} = qq~\* $acup_reg_txt{'3'}~;
	}
	$dayormonthm = qq~$profile_txt{'564'}<input type="text" name="bday1" size="2" maxlength="2" value="$tmpregbday1" />~;
	$dayormonthd = qq~$profile_txt{'565'}<input type="text" name="bday2" size="2" maxlength="2" value="$tmpregbday2" />~;
	if ($tsl[2] || $tsl[3] || $tsl[6]) { $dayormonth = $dayormonthd . $dayormonthm; }
	else { $dayormonth = $dayormonthm . $dayormonthd; }
$yymain .= qq~<tr class="windowbg">
   <td width="220" align="left"><b>$acup_reg_txt{'3'}</b></td>
   <td align="left"><span class="small">$dayormonth$profile_txt{'566'}<input type="text" name="bday3" size="4" maxlength="4" value="$tmpregbday3" /></span></td>
 </tr>
~;
}
if($reg_Location > 0) {
	if($reg_Location == 2) {
		$acup_reg_txt{'4'} = qq~\* $acup_reg_txt{'4'}~;
	}
	$yymain .= qq~<tr class="windowbg">
	<td class="windowbg" width="100%"><b>$acup_reg_txt{'4'}</b></td>
	<td><input type="text" size="30" name="location"~;
	if($FORM{'tlocation'}) {
		$yymain .= qq~ value="$tmpreglocation"~;
	}
	elsif($default_Location == 1) {
		$yymain .= qq~ value="$default_Location_val"~;
	}
	$yymain .= qq~ /></td>
</tr>
~;
}
if($reg_ICQ > 0) {
	if($reg_ICQ == 2) {
		$acup_reg_txt{'5'} = qq~\* $acup_reg_txt{'5'}~;
	}
	$yymain .= qq~<tr class="windowbg">
	<td class="windowbg" width="100%"><b>$acup_reg_txt{'5'}</b></td>
	<td><input type="text" size="10" name="icq" value="$tmpregicq" /></td>
</tr>
~;
}
if($reg_AIM > 0) {
	if($reg_AIM == 2) {
		$acup_reg_txt{'6'} = qq~\* $acup_reg_txt{'6'}~;
	}
	$yymain .= qq~<tr class="windowbg">
	<td class="windowbg" width="100%"><b>$acup_reg_txt{'6'}</b></td>
	<td><input type="text" size="30" name="aim" value="$tmpregaim" /></td>
</tr>
~;
}
if($reg_YIM > 0) {
	if($reg_YIM == 2) {
		$acup_reg_txt{'7'} = qq~\* $acup_reg_txt{'7'}~;
	}
	$yymain .= qq~<tr class="windowbg">
	<td class="windowbg" width="100%"><b>$acup_reg_txt{'7'}</b></td>
	<td><input type="text" size="30" name="yim" value="$tmpregyim" /></td>
</tr>
~;
}
if($reg_MSN > 0) {
	if($reg_MSN == 2) {
		$acup_reg_txt{'8'} = qq~\* $acup_reg_txt{'8'}~;
	}
	$yymain .= qq~<tr class="windowbg">
	<td class="windowbg" width="100%"><b>$acup_reg_txt{'8'}</b></td>
	<td><input type="text" size="30" name="msn" value="$tmpregmsn" /></td>
</tr>
~;
}
if($reg_GTalk > 0) {
	if($reg_GTalk == 2) {
		$acup_reg_txt{'9'} = qq~\* $acup_reg_txt{'9'}~;
	}
	$yymain .= qq~<tr class="windowbg">
	<td class="windowbg" width="100%"><b>$acup_reg_txt{'9'}</b></td>
	<td><input type="text" size="30" name="gtalk" value="$tmpreggtalk" /></td>
</tr>
~;
}
if($reg_WebInfo > 0) {
	if($reg_WebInfo == 2) {
		$acup_reg_txt{'10'} = qq~\* $acup_reg_txt{'10'}~;
		$acup_reg_txt{'11'} = qq~\* $acup_reg_txt{'11'}~;
	}
	$yymain .= qq~<tr class="windowbg">
	<td class="windowbg" width="100%"><b>$acup_reg_txt{'10'}</b></td>
	<td><input type="text" size="30" name="webtitle"~;
	if($FORM{'twebtitle'}) {
		$yymain .= qq~ value="$tmpregwebtitle"~;
	}
	$yymain .= qq~ /></td>
</tr>
<tr class="windowbg">
	<td class="windowbg" width="100%"><b>$acup_reg_txt{'11'}</b></td>
	<td><input type="text" size="30" name="weburl"~;
	if($FORM{'tweburl'}) {
		$yymain .= qq~ value="$tmpregweburl"~;
	}
	$yymain .= qq~ /></td>
</tr>
~;
}
if($reg_UserText > 0) {
	if($reg_UserText == 2) {
		$acup_reg_txt{'12'} = qq~\* $acup_reg_txt{'12'}~;
	}
	$yymain .= qq~<tr class="windowbg">
	<td class="windowbg" width="100%"><b>$acup_reg_txt{'12'}</b></td>
	<td><input type="text" size="30" name="usertext"~;
	if($FORM{'tusertext'}) {
		$yymain .= qq~ value="$tmpregusertext"~;
	}
	else {
		$yymain .= qq~ value="$defaultusertxt"~;
	}
	$yymain .= qq~ /></td>
</tr>
~;
}
if($reg_Sig > 0) {
	if($reg_Sig == 2) {
		$acup_reg_txt{'13'} = qq~\* $acup_reg_txt{'13'}~;
	}
	$yymain .= qq~<tr class="windowbg" valign="top">
          <td width="320" align="left"><b>$acup_reg_txt{'13'}</b><br /><span class="small">$profile_txt{'606'}</span></td>
          <td align="left"><textarea name="signature" rows="4" cols="50">$tmpregsignature</textarea><br />
            <span class="small">$profile_txt{'664'} <input value="$MaxSigLen" size="3" name="msgCL" disabled="disabled" /></span><br /><br />
            <script type="text/javascript" language="JavaScript">
            <!--
            var supportsKeys = false
            function tick() {
              calcCharLeft(document.forms[0])
              if (!supportsKeys) timerID = setTimeout("tick()",$MaxSigLen)
            }

            function calcCharLeft(sig) {
              clipped = false
              maxLength = $MaxSigLen
              if (document.creator.signature.value.length > maxLength) {
                document.creator.signature.value = document.creator.signature.value.substring(0,maxLength)
                charleft = 0
                clipped = true
              } else {
                charleft = maxLength - document.creator.signature.value.length
              }
              document.creator.msgCL.value = charleft
              return clipped
            }

            tick();
            //-->
            </script>
          </td>
        </tr>
~;
}
if($reg_TimeSet > 0) {
	if($reg_TimeSet == 2) {
		$acup_reg_txt{'14'} = qq~\* $acup_reg_txt{'14'}~;
		$acup_reg_txt{'16b'} = qq~\* $acup_reg_txt{'16b'}~;
	}
	$proftime = &timeformat((time) - (3600 * $toffs), 1);
	$yymain .= qq~<tr class="windowbg">
          <td width="320" align="left"><b>$acup_reg_txt{'14'}</b><br />
            <span class="small">$profile_txt{'479'}</span></td>
          <td width="50" align="left">
            <select name="usertimeselect" size="1">
              <option value="480"$tsl[1]>$profile_txt{'480'}</option>
              <option value="484"$tsl[5]>$profile_txt{'484'}</option>
              <option value="483"$tsl[4]>$profile_txt{'483'}</option>
              <option value="481"$tsl[2]>$profile_txt{'481'}</option>
              <option value="482"$tsl[3]>$profile_txt{'482'}</option>
              <option value="485"$tsl[6]>$profile_txt{'485'}</option>
              <option value="7"$tsl[7]>$profile_txt{'480a'}</option>
            </select>
          </td>
       </tr>
<tr class="windowbg">
          <td width="320" align="left"><b>$acup_reg_txt{'15a'} $acup_reg_txt{'15'}</b><br />
            <span class="small">$profile_txt{'479a'}</span></td>
           <td align="left"><input type="text" name="timeformat" size="40" value="$tmpregtimeformat" /></td>
        </tr>
        <tr class="windowbg">
          <td width="320" align="left"><b>$acup_reg_txt{'16b'}</b></td>
          <td align="left"><span class="small"><select name="usertimeoffset">
		<option value="">$time_zone_txt{'1'}</option>
		<option value="12"$pdel{'240'}>$time_zone_txt{'2'}</option>
		<option value="11"$pdel{'230'}>$time_zone_txt{'3'}</option>
		<option value="10"$pdel{'220'}>$time_zone_txt{'4'}</option>
		<option value="9.5"$pdel{'215'}>$time_zone_txt{'5'}</option>
		<option value="9"$pdel{'210'}>$time_zone_txt{'6'}</option>
		<option value="8"$pdel{'200'}>$time_zone_txt{'7'}</option>
		<option value="6.5"$pdel{'185'}>$time_zone_txt{'9'}</option>
		<option value="6"$pdel{'180'}>$time_zone_txt{'10'}</option>
		<option value="5.5"$pdel{'175'}>$time_zone_txt{'11'}</option>
		<option value="5"$pdel{'170'}>$time_zone_txt{'12'}</option>
		<option value="4"$pdel{'160'}>$time_zone_txt{'13'}</option>
		<option value="3.5"$pdel{'155'}>$time_zone_txt{'14'}</option>
		<option value="3"$pdel{'150'}>$time_zone_txt{'15'}</option>
		<option value="2"$pdel{'140'}>$time_zone_txt{'16'}</option>
		<option value="1"$pdel{'130'}>$time_zone_txt{'17'}</option>
		<option value="0"$pdel{'120'}>$time_zone_txt{'18'}</option>
		<option value="-1"$pdel{'110'}>$time_zone_txt{'19'}</option>
		<option value="-2"$pdel{'100'}>$time_zone_txt{'20'}</option>
		<option value="-3"$pdel{'90'}>$time_zone_txt{'21'}</option>
		<option value="-3.5"$pdel{'85'}>$time_zone_txt{'22'}</option>
		<option value="-4"$pdel{'80'}>$time_zone_txt{'23'}</option>
		<option value="-5"$pdel{'70'}>$time_zone_txt{'24'}</option>
		<option value="-6"$pdel{'60'}>$time_zone_txt{'25'}</option>
		<option value="-7"$pdel{'50'}>$time_zone_txt{'26'}</option>
		<option value="-8"$pdel{'40'}>$time_zone_txt{'27'}</option>
		<option value="-9"$pdel{'30'}>$time_zone_txt{'28'}</option>
		<option value="-10"$pdel{'20'}>$time_zone_txt{'29'}</option>
		<option value="-11"$pdel{'10'}>$time_zone_txt{'30'}</option>
		</select><br />$profile_txt{'741'} ($acup_reg_txt{'16a'}): <i>$proftime</i></span></td>
       </tr>
       <tr class="windowbg">
          <td width="320" align="left"><b>$acup_reg_txt{'16'}</b></td>
          <td align="left"><input type="checkbox" name="dsttimeoffset"$dsttimechecked /></td>
        </tr>
~;
}
if($reg_Template > 0) {
	if($reg_Template == 2) {
		$acup_reg_txt{'17'} = qq~\* $acup_reg_txt{'17'}~;
	}

	&CheckNewTemplates;

	unless ($templatesloaded == 1) { require "$vardir/template.cfg"; }

	while (($curtemplate, $value) = each(%templateset)) {
		$selected = "";
		if($FORM{'ttemplate'}) {
			if ($curtemplate eq $FORM{'ttemplate'}) { $selected = qq~ selected="selected"~; $akttemplate = $curtemplate; }
		}
		elsif($default_Template eq 1 && $default_Template_val) {
			if ($curtemplate eq $default_Template_val) { $selected = qq~ selected="selected"~; $akttemplate = $curtemplate; }
		}
		else {
			if ($curtemplate eq $default_template) { $selected = qq~ selected="selected"~; $akttemplate = $curtemplate; }
		}
		$drawndirs .= qq~<option value="$curtemplate"$selected>$curtemplate</option>\n~;
	}

	$yymain .= qq~<tr class="windowbg">
          <td width="320" align="left"><b>$acup_reg_txt{'17'}</b></td>
          <td align="left"><select name="usertemplate">$drawndirs</select></td>
        </tr>~;
}
</add after>

<search for>
	${$uid.$reguser}{'password'} = $encryptopass;
	${$uid.$reguser}{'realname'} = $member{'regrealname'};
	${$uid.$reguser}{'email'} = lc($member{'email'});
	${$uid.$reguser}{'postcount'} = 0;
	${$uid.$reguser}{'regreason'} = $member{'reason'};
	${$uid.$reguser}{'usertext'} = $defaultusertxt; 
	${$uid.$reguser}{'userpic'} = "blank.gif";
	${$uid.$reguser}{'regdate'} = $registerdate;
	${$uid.$reguser}{'regtime'} = $date;
	${$uid.$reguser}{'timeselect'} = $timeselected;
	${$uid.$reguser}{'timeoffset'} = $timeoffset;
	${$uid.$reguser}{'dsttimeoffset'} = $dstoffset;
	${$uid.$reguser}{'lastips'} = $user_ip;
	${$uid.$reguser}{'hidemail'} = $member{'hideemail'};
	${$uid.$reguser}{'timeformat'} = qq~MM D+ YYYY @ HH:mm:ss*~;
	${$uid.$reguser}{'template'} = $new_template;
	${$uid.$reguser}{'language'} = $language;
	${$uid.$reguser}{'pageindex'} = qq~1|1|1|1~;
</search for>

<replace>
	${$uid.$reguser}{'password'}      = $encryptopass;
	${$uid.$reguser}{'regreason'} = $member{'reason'};
	${$uid.$reguser}{'lastips'} = $user_ip;
if($reg_RealName > 0) {
	if($reg_RealName == 2) {
		&fatal_error("($member{'username'}) $acup_req_txt{'0'}$acup_req_txt{'0a'}$acup_reg_txt{'1'}") if ($FORM{'realname'} eq '');
	}
	if($FORM{'realname'} eq '') {
		${$uid.$reguser}{'realname'}	= $FORM{'username'};
	}
	else {
		${$uid.$reguser}{'realname'}	= $FORM{'realname'};
	}
}
else {
	${$uid.$reguser}{'realname'}      = $FORM{'username'};
}
if($reg_Gender > 0) {
	if($reg_Gender == 2) {
		&fatal_error("($member{'username'}) $acup_req_txt{'0'}$acup_req_txt{'0b'}$acup_reg_txt{'2'}") if ($FORM{'gender'} eq '');
	}
	${$uid.$reguser}{'gender'}	= $FORM{'gender'};
}
if($reg_BirthDate > 0) {
	if($reg_BirthDate == 2) {
		&fatal_error("($member{'username'}) $acup_req_txt{'0'}$acup_req_txt{'0a'}$acup_reg_txt{'3'}") if ($FORM{'bday1'} eq '' || $FORM{'bday2'} eq '' || $FORM{'bday3'} eq '');
	}
	${$uid.$reguser}{'bday'}	= "$FORM{'bday1'}/$FORM{'bday2'}/$FORM{'bday3'}";
}
if($reg_Location > 0) {
	if($reg_Location == 2) {
		&fatal_error("($member{'username'}) $acup_req_txt{'0'}$acup_req_txt{'0a'}$acup_reg_txt{'4'}") if ($FORM{'location'} eq '');
	}
	${$uid.$reguser}{'location'}	= $FORM{'location'};
}
elsif($default_Location == 1) {
	${uid.$reguser}{'location'}	= $default_Location_val;
}
if($reg_ICQ > 0) {
	if($reg_ICQ == 2) {
		&fatal_error("($member{'username'}) $acup_req_txt{'0'}$acup_req_txt{'0a'}$acup_reg_txt{'5'}") if ($FORM{'icq'} eq '');
	}
	${$uid.$reguser}{'icq'}	= $FORM{'icq'};
}
if($reg_AIM > 0) {
	if($reg_AIM == 2) {
		&fatal_error("($member{'username'}) $acup_req_txt{'0'}$acup_req_txt{'0a'}$acup_reg_txt{'6'}") if ($FORM{'aim'} eq '');
	}
	${$uid.$reguser}{'aim'}	= $FORM{'aim'};
}
if($reg_YIM > 0) {
	if($reg_YIM == 2) {
		&fatal_error("($member{'username'}) $acup_req_txt{'0'}$acup_req_txt{'0a'}$acup_reg_txt{'7'}") if ($FORM{'yim'} eq '');
	}
	${$uid.$reguser}{'yim'}	= $FORM{'yim'};
}
if($reg_MSN > 0) {
	if($reg_MSN == 2) {
		&fatal_error("($member{'username'}) $acup_req_txt{'0'}$acup_req_txt{'0a'}$acup_reg_txt{'8'}") if ($FORM{'msn'} eq '');
	}
	${$uid.$reguser}{'msn'}	= $FORM{'msn'};
}
if($reg_GTalk > 0) {
	if($reg_GTalk == 2) {
		&fatal_error("($member{'username'}) $acup_req_txt{'0'}$acup_req_txt{'0a'}$acup_reg_txt{'9'}") if ($FORM{'gtalk'} eq '');
	}
	${$uid.$reguser}{'gtalk'}	= $FORM{'gtalk'};
}
if($reg_WebInfo > 0) {
	if($reg_WebInfo == 2) {
		&fatal_error("($member{'username'}) $acup_req_txt{'0'}$acup_req_txt{'0a'}$acup_reg_txt{'10'}") if ($FORM{'webtitle'} eq '');
		&fatal_error("($member{'username'}) $acup_req_txt{'0'}$acup_req_txt{'0a'}$acup_reg_txt{'11'}") if ($FORM{'weburl'} eq '');
	}
	${$uid.$reguser}{'webtitle'}	= $FORM{'webtitle'};
	${$uid.$reguser}{'weburl'}	= $FORM{'weburl'};
}
	${$uid.$reguser}{'email'}         = lc($member{'email'});
	${$uid.$reguser}{'postcount'}     = 0;
if($reg_UserText > 0) {
	if($reg_UserText == 2) {
		&fatal_error("($member{'username'}) $acup_req_txt{'0'}$acup_req_txt{'0a'}$acup_reg_txt{'12'}") if ($FORM{'usertext'} eq '');
	}
	${$uid.$reguser}{'usertext'}	= $FORM{'usertext'};
}
else {
	${$uid.$reguser}{'usertext'}      = $defaultusertxt;
}
if($default_UserPic == 1 && $default_UserPic_val ne "") {
	${$uid.$reguser}{'userpic'}       = $default_UserPic_val;
}
else {
	${$uid.$reguser}{'userpic'}       = "blank.gif";
}
	${$uid.$reguser}{'regdate'}       = $registerdate;
	${$uid.$reguser}{'regtime'}       = int(time);
	${$uid.$reguser}{'timeselect'}    = $timeselected;
	${$uid.$reguser}{'timeoffset'}    = $timeoffset;
	${$uid.$reguser}{'dsttimeoffset'} = $dstoffset;
	${$uid.$reguser}{'hidemail'}      = $FORM{'hideemail'};
if($reg_Sig > 0) {
	if($reg_Sig == 2) {
		&fatal_error("($member{'username'}) $acup_req_txt{'0'}$acup_req_txt{'0a'}$acup_reg_txt{'13'}") if ($FORM{'signature'} eq '');
	}
		&FromChars($FORM{'signature'});
		$convertstr = $FORM{'signature'};
		$convertcut = $MaxSigLen;
		&CountChars;
		$FORM{'signature'} = $convertstr;

		$FORM{'signature'} =~ s/</&lt;/g;
		$FORM{'signature'} =~ s/>/&gt;/g;
	${$uid.$reguser}{'signature'} = $FORM{'signature'};
}
if($reg_TimeSet > 0) {
	if($reg_TimeSet == 2) {
		&fatal_error("($member{'username'}) $acup_req_txt{'0'}$acup_req_txt{'0a'}$acup_req_txt{'1'}") if ($FORM{'usertimeselect'} == 7 && $FORM{'timeformat'} eq '');
		&fatal_error("($member{'username'}) $acup_req_txt{'0'}$acup_req_txt{'0a'}$acup_req_txt{'2'}") if ($FORM{'usertimeoffset'} eq '');
	}
	if($FORM{'usertimeselect'} == 7) {
		$timeformat = $FORM{'timeformat'};
	}
	else {
		$timeformat = $profile_txt{$FORM{'usertimeselect'}};
	}
	${$uid.$reguser}{'timeformat'}	= $timeformat;
	${$uid.$reguser}{'timeoffset'}	= $FORM{'usertimeoffset'};
	${$uid.$reguser}{'dsttimeoffset'}	= $FORM{'dsttimeoffset'};
}
else {
	${$uid.$reguser}{'timeformat'}    = qq~MM D+ YYYY @ HH:mm:ss*~;
}
if($reg_Template == 1) {
	${$uid.$reguser}{'template'}	= $FORM{'usertemplate'};
}
elsif($default_Template == 1 && $default_Template_val) {
	${$uid.$reguser}{'template'}  = $default_Template_val;
}
else {
	${$uid.$reguser}{'template'}     = $new_template;
}
	${$uid.$reguser}{'language'}     = $language;
	${$uid.$reguser}{'pageindex'}    = qq~1|1|1~;
if($default_IMNotify == 1) {
	${$uid.$reguser}{'im_notify'}		= $default_IMNotify_val;
}
if($default_IMPopup == 1) {
	${$uid.$reguser}{'im_popup'}		= $default_IMPopup_val;
}
if($default_IMsPop == 1) {
	${$uid.$reguser}{'im_imspop'}		= $default_IMsPop_val;
}
</replace>

<edit file>
Admin/AdminSubList.pl
</edit file>

<search for>
'modagreement2',"AdminEdit.pl&ModifyAgreement2",
</search for>

<add after>
'acup_reg_mod',"Admin_Center_Update.pl&Modify_acup_reg_Settings",
'acup_reg_mod2',"Admin_Center_Update.pl&Modify_acup_reg_Settings2",
'acup_prof_mod',"Admin_Center_Update.pl&Modify_acup_prof_Settings",
'acup_prof_mod2',"Admin_Center_Update.pl&Modify_acup_prof_Settings2",
'acup_dim_mod',"Admin_Center_Update.pl&Modify_acup_dim_Settings",
'acup_dim_mod2',"Admin_Center_Update.pl&Modify_acup_dim_Settings2",
</add after>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$acup_reg_mod = qq~Admin Center Update|<a href="http://www.ten-321.com/" target="_blank">Curtiss Grymala</a>|This mod adds quite a few new settings to your Admin Center.  It adds the following features:<ul><li>Allows you to choose which profile fields show up on your registration page.</li><li>Allows you to choose default settings for each profile field, if desired.</li><li>Allows you to set variable heights and widths for certain elements of YaBB.</li></ul>|0.1a Y2.2|Nov. 23, 2007~;
	push (@installed_mods, "$acup_reg_mod");
</add before>

<edit file>
AdminIndex.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
$acup_reg_mod = "acup_reg_mod|AC Update Reg Settings|Choose which profile fields are placed on your registration page|";
push (@boardmod_mods, "$acup_reg_mod");
$acup_prof_mod = "acup_prof_mod|AC Update Profile Settings|Set default values for profile elements|";
push (@boardmod_mods, "$acup_prof_mod");
$acup_dim_mod = "acup_dim_mod|AC Update Dimensions|Set various dimensions and other values for YaBB elements|";
push (@boardmod_mods, "$acup_dim_mod");
</add before>

<edit file>
Sources/Load.pl
</edit file>

<search for>
	if(${$uid.$user}{'signature'} && $linecount > 15) {${$uid.$user}{'signature'} = qq~<div class="scroll" style="float: left; font-size: 10px; font-family: verdana, sans-serif; overflow: auto; max-height: 200px; height: 200px; width: 99%;">${$uid.$user}{'signature'}</div>~}
	else {${$uid.$user}{'signature'} = ${$uid.$user}{'signature'} ? qq~<div class="scroll" style="float: left; font-size: 10px; font-family: verdana, sans-serif; overflow: auto; max-height: 200px; width: 99%;">${$uid.$user}{'signature'}</div>~ : '';}
</search for>

<replace>
if (-e "$vardir/acup_dim.txt") { require "$vardir/acup_dim.txt"; }
	if($dim_RestrictSig == 1 && $dim_SigHeight) {
		$acup_sig_height = "max-height:" . $dim_SigHeight . "px;";
	}
	else {
		$acup_sig_height = "";
	}
	if(${$uid.$user}{'signature'} && $linecount > 15) {${$uid.$user}{'signature'} = qq~<div class="scroll" style="float: left; font-size: 10px; font-family: verdana, sans-serif; overflow: auto; $acup_sig_height height: 200px; width: 99%;">${$uid.$user}{'signature'}</div>~}
	else {${$uid.$user}{'signature'} = ${$uid.$user}{'signature'} ? qq~<div class="scroll" style="float: left; font-size: 10px; font-family: verdana, sans-serif; overflow: auto; $acup_sig_height width: 99%;">${$uid.$user}{'signature'}</div>~ : '';}
</replace>

<edit file>
Sources/Post.pl
</edit file>

<search for>
&LoadLanguage('FA');
</search for>

<add after>
&LoadLanguage('AdminCenter_Update');
if (-e "$vardir/acup_dim.txt") { require "$vardir/acup_dim.txt"; }
</add after>

<search for>
			<textarea name="message" id="message" rows="8" cols="68" style="height: 130px; width: 427px; font-family: Verdana; font-size: 11px; padding: 5px; margin: 0px; visibility: visible;" onclick="javascript:storeCaret(this);" onkeyup="javascript:storeCaret(this);" onchange="javascript:storeCaret(this);" tabindex="4">$message</textarea>
</search for>

<replace>
~;
$message_height = $message_height . "px";
if($message_width ne '$pwidth') {
$message_width = $message_width . "px";
}
else {
$message_width = $pwidth;
}
$yymain .= qq~
			<textarea name="message" id="message" rows="8" cols="68" style="height: $message_height; width: $message_width; font-family: Verdana; font-size: 11px; padding: 5px; margin: 0px; visibility: visible;" onclick="javascript:storeCaret(this);" onkeyup="javascript:storeCaret(this);" onchange="javascript:storeCaret(this);" tabindex="4">$message</textarea>
</replace>

<search for>
			<div style="float: left; width: 440px;">
			<script language="JavaScript1.2" type="text/javascript">
			<!--
			if((navigator.appName == "Netscape" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Microsoft Internet Explorer" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Opera" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "WebTV Plus Receiver" && navigator.appVersion.charAt(0) >= 3) || (navigator.appName == "Konqueror" && navigator.appVersion.charAt(0) >= 2)) {
				HAND = "style='cursor: pointer;'";
				document.write('<div style="width: 437px; float: left;">');
</search for>

<replace>
~;
$button_area_width2 = $button_area_width - 3;
$button_area_width = $button_area_width . "px";
$button_area_width2 = $button_area_width2 . "px";
$yymain .= qq~
			<div style="float: left; width: $button_area_width;">
			<script language="JavaScript1.2" type="text/javascript">
			<!--
			if((navigator.appName == "Netscape" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Microsoft Internet Explorer" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Opera" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "WebTV Plus Receiver" && navigator.appVersion.charAt(0) >= 3) || (navigator.appName == "Konqueror" && navigator.appVersion.charAt(0) >= 2)) {
				HAND = "style='cursor: pointer;'";
				document.write('<div style="width: $button_area_width2; float: left;">');
</replace>

<edit file>
Sources/Recent.pl
</edit file>

<search for>
if ($action eq 'detailedversion') { return 1; }
</search for>

<add after>
if (-e "$vardir/acup_dim.txt") { require "$vardir/acup_dim.txt"; }
</add after>

<search for>
sub RecentPosts {
	&spam_protection;
	my $display = $INFO{'display'} ||= 10;
</search for>

<replace>
sub RecentPosts {
	&spam_protection;
	my $display = $INFO{'display'} ||= $recent_post_val;
</replace>

<edit file>
Sources/BoardIndex.pl
</edit file>

<search for>
&LoadLanguage('BoardIndex');
</search for>

<add after>
&LoadLanguage('AdminCenter_Update');
if (-e "$vardir/acup_dim.txt") { require "$vardir/acup_dim.txt"; }
</add after>

<search for>
		$recentpostslink = qq~$boardindex_txt{'791'} <a href="$scripturl?action=recent;display=10">$boardindex_txt{'792'}</a> $boardindex_txt{'793'}~;
</search for>

<replace>
		$recentpostslink = qq~$boardindex_txt{'791'} <a href="$scripturl?action=recent;display=$recent_post_val">$recent_post_val $acup_dim_txt{'7'}</a> $boardindex_txt{'793'}~;
</replace>